package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

/**
 * A DTO for the TBCrop entity.
 */
public class TBCropForReportDTO implements Serializable {

    private Long entityId;

    private String entityName;

    private Long cropId;

    private String cropCode;

    public Long getEntityId() {
        return entityId;
    }

    public void setEntityId(Long entityId) {
        this.entityId = entityId;
    }

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public String getCropCode() {
        return cropCode;
    }

    public void setCropCode(String cropCode) {
        this.cropCode = cropCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBCropForReportDTO that = (TBCropForReportDTO) o;
        return Objects.equals(entityId, that.entityId) && Objects.equals(entityName, that.entityName) && Objects.equals(cropId, that.cropId) && Objects.equals(cropCode, that.cropCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(entityId, entityName, cropId, cropCode);
    }

    @Override
    public String toString() {
        return "TBCropForReportDTO{" +
            "entityId=" + entityId +
            ", entityName='" + entityName + '\'' +
            ", cropId=" + cropId +
            ", cropCode='" + cropCode + '\'' +
            '}';
    }
}
